# $Revision: 1.12 $, $Date: 2009/02/25 22:22:22 $
Summary:	Utility for decompressing alzip format files
Summary(pl.UTF-8):	Narzędzie do dekompresji plików w formacie alzip
Name:		unalz
Version:	0.64
Release:	1
License:	BSD
Group:		Applications/Archiving
Source0:	http://www.kipple.pe.kr/win/unalz/%{name}-%{version}.tgz
# Source0-md5:	2c78c7a803e897fae4281f13ad0e232b
URL:		http://www.kipple.pe.kr/win/unalz/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility for decompressing alzip format files.

%description -l pl.UTF-8
Narzędzie do dekompresji plików w formacie alzip.

%prep
%setup -q -n %{name}

%build
%{__make} linux-utf8 \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" \
	CXXFLAGS="%{rpmcxxflags} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT

install -D unalz $RPM_BUILD_ROOT%{_bindir}/unalz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: unalz.spec,v $
Revision 1.12  2009/02/25 22:22:22  duddits
- up to 0.64

Revision 1.11  2008/06/02 17:52:15  qboosh
- updated to 0.62

Revision 1.10  2007-02-17 15:02:45  qboosh
- updated to 0.61

Revision 1.9  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.7  2007/01/08 21:15:12  qboosh
- updated to 0.60

Revision 1.6  2006/03/13 18:04:53  qboosh
- added CVE note to rev. 1.4 changelog

Revision 1.5  2006/03/13 17:11:35  qboosh
- added CVE note to rev. 1.3 changelog

Revision 1.4  2006/03/13 11:46:34  qboosh
- updated to 0.55 (fixes "../" directory traversal [CVE-2006-0950])

Revision 1.3  2005/11/27 00:06:59  qboosh
- updated to 0.53 [fixes buffer overflow - CVE-2005-3862]

Revision 1.2  2005/10/07 14:53:32  qboosh
- updated to 0.52

Revision 1.1  2004/12/01 10:48:42  qboosh
- new
